eID middleware |

# be.portugal.eid.PTEID_EIdFullDoc Class Reference

Base class for the Eid full document. More...

Inheritance diagram for be.portugal.eid.PTEID_EIdFullDoc:

List of all members.

## Public Member Functions

synchronized void | delete ()

## Protected Member Functions

| PTEID_EIdFullDoc (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions

static long | getCPtr (PTEID_EIdFullDoc obj)

## Detailed Description

Base class for the Eid full document.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_EIdFullDoc.PTEID_EIdFullDoc | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_EIdFullDoc.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_EIdFullDoc.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

static long be.portugal.eid.PTEID_EIdFullDoc.getCPtr | ( | PTEID_EIdFullDoc | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_EIdFullDoc.swigCPtr.